GNATdoc.Documentation = {
  "label": "Drawing.Bitmaps",
  "qualifier": "",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Stretch_Mode",
          "qualifier": "",
          "line": 13,
          "column": 10,
          "src": "srcs/drawing-bitmaps.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 13,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "type"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Stretch_Mode",
                      "href": "docs/drawing__bitmaps___spec.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "is"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 14,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 15,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- Stretches the source bitmap to cover the destination area without"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 16,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- regard for its original proportions."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 17,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Stretch",
                      "href": "docs/drawing__bitmaps___spec.html#L17C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 18,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 19,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- Stretches the source bitmap to fit the narrowest dimension of the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 20,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- destination area, preserving the bitmap's original proportions. It"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 21,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- will be centered within the widest dimension, leaving empty space in"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 22,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- the margins."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 23,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Fit",
                      "href": "docs/drawing__bitmaps___spec.html#L23C9"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 24,
                  "children": [
                  ]
                },
                {
                  "kind": "line",
                  "number": 25,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- Stretches the source bitmap to fill the widest dimension of the"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 26,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- destination area, preserving the bitmap's original proportions. No"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 27,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- clipping is performed, so pixels outside of the destination area may"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 28,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- be drawn in the narrowest dimension. Take care to set the clipping"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 29,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "comment",
                      "text": "-- rectangle, if necessary, before drawing a bitmap with Fill."
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 30,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Fill",
                      "href": "docs/drawing__bitmaps___spec.html#L30C9"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 31,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";",
                      "href": "docs/drawing__bitmaps___spec.html#L13C10"
                    }
                  ]
                }
              ]
            }
          ],
          "literals": [
            {
              "label": "Stretch",
              "line": 17,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "Stretches the source bitmap to fit the narrowest dimension of the\n"
                    },
                    {
                      "kind": "span",
                      "text": "destination area, preserving the bitmap's original proportions. It\n"
                    },
                    {
                      "kind": "span",
                      "text": "will be centered within the widest dimension, leaving empty space in\n"
                    },
                    {
                      "kind": "span",
                      "text": "the margins.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "Fit",
              "line": 23,
              "column": 9,
              "description": [
                {
                  "kind": "paragraph",
                  "children": [
                    {
                      "kind": "span",
                      "text": "Stretches the source bitmap to fill the widest dimension of the\n"
                    },
                    {
                      "kind": "span",
                      "text": "destination area, preserving the bitmap's original proportions. No\n"
                    },
                    {
                      "kind": "span",
                      "text": "clipping is performed, so pixels outside of the destination area may\n"
                    },
                    {
                      "kind": "span",
                      "text": "be drawn in the narrowest dimension. Take care to set the clipping\n"
                    },
                    {
                      "kind": "span",
                      "text": "rectangle, if necessary, before drawing a bitmap with Fill.\n"
                    }
                  ]
                }
              ]
            },
            {
              "label": "Fill",
              "line": 30,
              "column": 9,
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Simple types"
    },
    {
      "entities": [
        {
          "label": "Draw_Bitmap",
          "qualifier": "",
          "line": 36,
          "column": 15,
          "src": "srcs/drawing-bitmaps.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 36,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Draw_Bitmap",
                      "href": "docs/drawing__bitmaps___spec.html#L36C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "bmp",
                      "href": "docs/drawing__bitmaps___spec.html#L36C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Allegro_Bitmap",
                      "href": "docs/allegro__bitmaps___spec.html#L18C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 37,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "x",
                      "href": "docs/drawing__bitmaps___spec.html#L37C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "y",
                      "href": "docs/drawing__bitmaps___spec.html#L37C31"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 38,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "z",
                      "href": "docs/drawing__bitmaps___spec.html#L38C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "         "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "0.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 39,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "tint",
                      "href": "docs/drawing__bitmaps___spec.html#L39C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Allegro_Color",
                      "href": "docs/allegro__color___spec.html#L104C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "White"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 40,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "blendMode",
                      "href": "docs/drawing__bitmaps___spec.html#L40C28"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Blend_Mode",
                      "href": "docs/drawing___spec.html#L48C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Current"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Draws bitmap 'bmp', using 'x,y' as the top left corner.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "bmp",
              "line": 36,
              "column": 28,
              "type": {
                "label": "Allegro.Bitmaps.A_Allegro_Bitmap",
                "docHref": "docs/allegro__bitmaps___spec.html#L18C10"
              },
              "description": [
              ]
            },
            {
              "label": "x",
              "line": 37,
              "column": 28,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "y",
              "line": 37,
              "column": 31,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "z",
              "line": 38,
              "column": 28,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "tint",
              "line": 39,
              "column": 28,
              "type": {
                "label": "Allegro.Color.Allegro_Color",
                "docHref": "docs/allegro__color___spec.html#L14C10"
              },
              "description": [
              ]
            },
            {
              "label": "blendMode",
              "line": 40,
              "column": 28,
              "type": {
                "label": "Drawing.Blend_Mode",
                "docHref": "docs/drawing___spec.html#L48C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Draw_Bitmap_Region",
          "qualifier": "",
          "line": 43,
          "column": 15,
          "src": "srcs/drawing-bitmaps.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 43,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Draw_Bitmap_Region",
                      "href": "docs/drawing__bitmaps___spec.html#L43C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "bmp",
                      "href": "docs/drawing__bitmaps___spec.html#L43C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Allegro_Bitmap",
                      "href": "docs/allegro__bitmaps___spec.html#L18C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 44,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcX",
                      "href": "docs/drawing__bitmaps___spec.html#L44C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 45,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcY",
                      "href": "docs/drawing__bitmaps___spec.html#L45C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 46,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcWidth",
                      "href": "docs/drawing__bitmaps___spec.html#L46C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 47,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcHeight",
                      "href": "docs/drawing__bitmaps___spec.html#L47C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 48,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destX",
                      "href": "docs/drawing__bitmaps___spec.html#L48C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 49,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destY",
                      "href": "docs/drawing__bitmaps___spec.html#L49C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 50,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destZ",
                      "href": "docs/drawing__bitmaps___spec.html#L50C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "0.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 51,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "tint",
                      "href": "docs/drawing__bitmaps___spec.html#L51C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Allegro_Color",
                      "href": "docs/allegro__color___spec.html#L104C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "White"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 52,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "blendMode",
                      "href": "docs/drawing__bitmaps___spec.html#L52C35"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Blend_Mode",
                      "href": "docs/drawing___spec.html#L48C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Current"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Draws a region of bitmap 'bmp'.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "bmp",
              "line": 43,
              "column": 35,
              "type": {
                "label": "Allegro.Bitmaps.A_Allegro_Bitmap",
                "docHref": "docs/allegro__bitmaps___spec.html#L18C10"
              },
              "description": [
              ]
            },
            {
              "label": "srcX",
              "line": 44,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcY",
              "line": 45,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcWidth",
              "line": 46,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcHeight",
              "line": 47,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destX",
              "line": 48,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destY",
              "line": 49,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destZ",
              "line": 50,
              "column": 35,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "tint",
              "line": 51,
              "column": 35,
              "type": {
                "label": "Allegro.Color.Allegro_Color",
                "docHref": "docs/allegro__color___spec.html#L14C10"
              },
              "description": [
              ]
            },
            {
              "label": "blendMode",
              "line": 52,
              "column": 35,
              "type": {
                "label": "Drawing.Blend_Mode",
                "docHref": "docs/drawing___spec.html#L48C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Draw_Bitmap_Region_Stretched",
          "qualifier": "",
          "line": 73,
          "column": 15,
          "src": "srcs/drawing-bitmaps.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 73,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Draw_Bitmap_Region_Stretched",
                      "href": "docs/drawing__bitmaps___spec.html#L73C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "bmp",
                      "href": "docs/drawing__bitmaps___spec.html#L73C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "        "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Allegro_Bitmap",
                      "href": "docs/allegro__bitmaps___spec.html#L18C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 74,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcX",
                      "href": "docs/drawing__bitmaps___spec.html#L74C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 75,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcY",
                      "href": "docs/drawing__bitmaps___spec.html#L75C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 76,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcWidth",
                      "href": "docs/drawing__bitmaps___spec.html#L76C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 77,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "srcHeight",
                      "href": "docs/drawing__bitmaps___spec.html#L77C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 78,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destX",
                      "href": "docs/drawing__bitmaps___spec.html#L78C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 79,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destY",
                      "href": "docs/drawing__bitmaps___spec.html#L79C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 80,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destZ",
                      "href": "docs/drawing__bitmaps___spec.html#L80C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 81,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destWidth",
                      "href": "docs/drawing__bitmaps___spec.html#L81C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 82,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "destHeight",
                      "href": "docs/drawing__bitmaps___spec.html#L82C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 83,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "rotation",
                      "href": "docs/drawing__bitmaps___spec.html#L83C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "0.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 84,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "tint",
                      "href": "docs/drawing__bitmaps___spec.html#L84C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Allegro_Color",
                      "href": "docs/allegro__color___spec.html#L104C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "White"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 85,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                            "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "blendMode",
                      "href": "docs/drawing__bitmaps___spec.html#L85C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "  "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Blend_Mode",
                      "href": "docs/drawing___spec.html#L48C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Current"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Draws a region of bitmap 'bmp', stretching it to the specified dimensions\n"
                },
                {
                  "kind": "span",
                  "text": "without respect to the original proportions.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "If 'rotation' is specified, then the bitmap will be rotated around the\n"
                },
                {
                  "kind": "span",
                  "text": "center of 'bmp' and then drawn so the center is at 'x,y'.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "bmp",
              "line": 73,
              "column": 45,
              "type": {
                "label": "Allegro.Bitmaps.A_Allegro_Bitmap",
                "docHref": "docs/allegro__bitmaps___spec.html#L18C10"
              },
              "description": [
              ]
            },
            {
              "label": "srcX",
              "line": 74,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcY",
              "line": 75,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcWidth",
              "line": 76,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "srcHeight",
              "line": 77,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destX",
              "line": 78,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destY",
              "line": 79,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destZ",
              "line": 80,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destWidth",
              "line": 81,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "destHeight",
              "line": 82,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "rotation",
              "line": 83,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "tint",
              "line": 84,
              "column": 45,
              "type": {
                "label": "Allegro.Color.Allegro_Color",
                "docHref": "docs/allegro__color___spec.html#L14C10"
              },
              "description": [
              ]
            },
            {
              "label": "blendMode",
              "line": 85,
              "column": 45,
              "type": {
                "label": "Drawing.Blend_Mode",
                "docHref": "docs/drawing___spec.html#L48C10"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Draw_Bitmap_Stretched",
          "qualifier": "",
          "line": 60,
          "column": 15,
          "src": "srcs/drawing-bitmaps.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 60,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Draw_Bitmap_Stretched",
                      "href": "docs/drawing__bitmaps___spec.html#L60C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "bmp",
                      "href": "docs/drawing__bitmaps___spec.html#L60C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "           "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Allegro_Bitmap",
                      "href": "docs/allegro__bitmaps___spec.html#L18C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 61,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "x",
                      "href": "docs/drawing__bitmaps___spec.html#L61C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "y",
                      "href": "docs/drawing__bitmaps___spec.html#L61C41"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "z",
                      "href": "docs/drawing__bitmaps___spec.html#L61C44"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "       "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 62,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "width",
                      "href": "docs/drawing__bitmaps___spec.html#L62C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ","
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "height",
                      "href": "docs/drawing__bitmaps___spec.html#L62C45"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 63,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "stretchMode",
                      "href": "docs/drawing__bitmaps___spec.html#L63C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "   "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Stretch_Mode",
                      "href": "docs/drawing__bitmaps___spec.html#L13C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Stretch"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 64,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "rotation",
                      "href": "docs/drawing__bitmaps___spec.html#L64C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "      "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Float"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "number",
                      "text": "0.0"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 65,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "tint",
                      "href": "docs/drawing__bitmaps___spec.html#L65C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "          "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Allegro_Color",
                      "href": "docs/allegro__color___spec.html#L104C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "White"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                },
                {
                  "kind": "line",
                  "number": 66,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "                                     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "blendMode",
                      "href": "docs/drawing__bitmaps___spec.html#L66C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "     "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Blend_Mode",
                      "href": "docs/drawing___spec.html#L48C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":="
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Current"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Draws bitmap 'bmp', stretching it to 'width' x 'height'. The bitmap will\n"
                },
                {
                  "kind": "span",
                  "text": "be stretched to the destination area using 'mode'.\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "If 'rotation' is specified, then the bitmap will be rotated around its\n"
                },
                {
                  "kind": "span",
                  "text": "center and drawn such that the center of 'bmp' is at 'x,y' in the\n"
                },
                {
                  "kind": "span",
                  "text": "destination bitmap. No clipping will be performed.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "bmp",
              "line": 60,
              "column": 38,
              "type": {
                "label": "Allegro.Bitmaps.A_Allegro_Bitmap",
                "docHref": "docs/allegro__bitmaps___spec.html#L18C10"
              },
              "description": [
              ]
            },
            {
              "label": "x",
              "line": 61,
              "column": 38,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "y",
              "line": 61,
              "column": 41,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "z",
              "line": 61,
              "column": 44,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "width",
              "line": 62,
              "column": 38,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "height",
              "line": 62,
              "column": 45,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "stretchMode",
              "line": 63,
              "column": 38,
              "type": {
                "label": "Drawing.Bitmaps.Stretch_Mode",
                "docHref": "docs/drawing__bitmaps___spec.html#L13C10"
              },
              "description": [
              ]
            },
            {
              "label": "rotation",
              "line": 64,
              "column": 38,
              "type": {
                "label": "Float"
              },
              "description": [
              ]
            },
            {
              "label": "tint",
              "line": 65,
              "column": 38,
              "type": {
                "label": "Allegro.Color.Allegro_Color",
                "docHref": "docs/allegro__color___spec.html#L14C10"
              },
              "description": [
              ]
            },
            {
              "label": "blendMode",
              "line": 66,
              "column": 38,
              "type": {
                "label": "Drawing.Blend_Mode",
                "docHref": "docs/drawing___spec.html#L48C10"
              },
              "description": [
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};